In the past years convolutional neural networks have become the standard method to solve dense segmentation tasks in computer vision in general and microscopy image analysis in particular. Recently, the incorporation of attention mechanisms into existing network architectures have proven to increase overall performance on many tasks.
The aim of the project is to investigate the utility of different attention mechanism for the special task of cell segmentation in microscopy.\\

In particular the project

\begin{enumerate}[i]
    \item compared different version of U-Net architecture with eventually a squeeze-excitation block
    \item re-discovered facts about the training of convolutional neural networks (see \ref{sec:toy_task-small-experiments})
    \item applied Transformed-based methods to extract meaningful representations from microscopy images
\end{enumerate}

Overall the findings were expected and just a confirmation of what is known in the machine learning field. What is unexpected (and probably due to an error in the implementation) is the embedding construction in iGPT (see \ref{sec:igpt_Manual_embeddings}).